Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins
Class SecurityProxyInterceptor

    java.lang.Object
      org.jboss.ejb.plugins.AbstractInterceptor
          org.jboss.ejb.plugins.SecurityProxyInterceptor

All Implemented Interfaces:
  AllowedOperationsFlags, ContainerPlugin, Interceptor, org.jboss.system.Service

public class SecurityProxyInterceptor
extends AbstractInterceptor

The SecurityProxyInterceptor is where the EJB custom security proxy integration is performed. This interceptor is dynamically added to container interceptors when the deployment descriptors specifies a security proxy. It is added just before the container interceptor so that the interceptor has access to the EJB instance and context.

Version:
  $Revision: 1.21 $
Author:
  Scott Stark.

Field Summary
`protected org.jboss.logging.Logger` | `log` Instance logger.
`String` | `SECURITY_PROXY_FACTORY_NAME` The JNDI name of the SecurityProxyFactory used to wrap security proxy objects that do not implement the SecurityProxy interface
`protected AuthenticationManager` | `securityManager`
`protected SecurityProxy` | `securityProxy`

Fields inherited from class org.jboss.ejb.plugins.AbstractInterceptor
`container, nextInterceptor`

Fields inherited from interface org.jboss.ejb.AllowedOperationsFlags
`IN_AFTER_BEGIN, IN_AFTER_COMPLETION, IN_BEFORE_COMPLETION, IN_BUSINESS_METHOD, IN_EJB_ACTIVATE, IN_EJB_CREATE, IN_EJB_FIND, IN_EJB_HOME, IN_EJB_LOAD, IN_EJB_PASSIVATE, IN_EJB_POST_CREATE, IN_EJB_REMOVE, IN_EJB_STORE, IN_EJB_TIMEOUT, IN_INTERCEPTOR_METHOD, IN_SERVICE_ENDPOINT_METHOD, IN_SET_ENTITY_CONTEXT, IN_SET_MESSAGE_DRIVEN_CONTEXT, IN_SET_SESSION_CONTEXT, IN_UNSET_ENTITY_CONTEXT, NOT_ALLOWED`

Constructor Summary
`SecurityProxyInterceptor()`

Method Summary
`Object` | `invoke(Invocation mi)` ???
`Object` | `invokeHome(Invocation mi)` ???
`void` | `setContainer(Container container)` This callback is set by the container so that the plugin may access it
`void` | `start()`

Methods inherited from class org.jboss.ejb.plugins.AbstractInterceptor
`create, destroy, getContainer, getNext, setNext, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SECURITY_PROXY_FACTORY_NAME

    public final String SECURITY_PROXY_FACTORY_NAME

  The JNDI name of the SecurityProxyFactory used to wrap security proxy objects that do not implement the SecurityProxy interface

  See Also:
    Constant Field Values

### log

    protected org.jboss.logging.Logger log

  Instance logger.

### securityManager

    protected AuthenticationManager securityManager

### securityProxy

    protected SecurityProxy securityProxy

Constructor Detail

### SecurityProxyInterceptor

    public SecurityProxyInterceptor()

Method Detail

### setContainer

    public void setContainer(Container container)

  Description copied from interface: `ContainerPlugin`
  This callback is set by the container so that the plugin may access it

  Specified by:
    `setContainer` in interface `ContainerPlugin`
  Overrides:
    `setContainer` in class `AbstractInterceptor`

### start

    public void start()
               throws Exception

  Specified by:
    `start` in interface `org.jboss.system.Service`
  Overrides:
    `start` in class `AbstractInterceptor`
  Throws:
    `Exception`

### invokeHome

    public Object invokeHome(Invocation mi)
                      throws Exception

  Description copied from interface: `Interceptor`
  ???

  Specified by:
    `invokeHome` in interface `Interceptor`
  Overrides:
    `invokeHome` in class `AbstractInterceptor`
  Throws:
    `Exception`

### invoke

    public Object invoke(Invocation mi)
                  throws Exception

  Description copied from interface: `Interceptor`
  ???

  Specified by:
    `invoke` in interface `Interceptor`
  Overrides:
    `invoke` in class `AbstractInterceptor`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.